Latest 1.0.0
Homepage https://github.com/lostinthepines/TheCatAPI
License MIT
Platforms ios 5.0, requires ARC
Frameworks UIKit
Authors

Version
License
Platform

  ∆    ∆
>( - . - )<
 (  u u  ) "\
 ( )____( )=//

Usage

For a fresh, kitty-populated UIImageView

// A new UIImageView populated with a cat image
UIImageView *happyImageView = [UIImageView imageViewWithCatImage];

// A new UIImageView populated with a cat image from a certain category
UIImageView *catInABox = [UIImageView imageViewWithCatImageWithCategory:CATegoryBoxes];

For making existing UIImageViews much more enjoyable

UIImageView *sadImageView = [[UIImageView alloc] init];

// Populate an existing UIImageView with a cat image
[sadImageView useCatImage];

// Populate an existing UIImageView with a cat image from a certain category
[sadImageView useCatImageWithCategory:CATegoryHats];

To run the example project, clone the repo, and run pod install from the Example directory first.

Installation

TheCatAPI is available through CocoaPods. To install
it, simply add the following line to your Podfile:

pod "TheCatAPI"

Author

Nate Bailey, [email protected]

License

TheCatAPI is available under the MIT license. See the LICENSE file for more info.

Latest podspec

{
    "name": "TheCatAPI",
    "version": "1.0.0",
    "summary": "Cat images for your enjoyment.",
    "homepage": "https://github.com/lostinthepines/TheCatAPI",
    "license": "MIT",
    "authors": {
        "Nate Bailey": "[email protected]"
    },
    "source": {
        "git": "https://github.com/lostinthepines/TheCatAPI.git",
        "tag": "1.0.0"
    },
    "social_media_url": "https://twitter.com/inthepines",
    "platforms": {
        "ios": "5.0"
    },
    "requires_arc": true,
    "source_files": "Classes",
    "frameworks": "UIKit"
}

Pin It on Pinterest

Share This